Get Close Review Run
curl --request GET \
--url https://app.usequanta.com/admin_api/close_review/runs/{qid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequanta.com/admin_api/close_review/runs/{qid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequanta.com/admin_api/close_review/runs/{qid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/close_review/runs/{qid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/close_review/runs/{qid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.usequanta.com/admin_api/close_review/runs/{qid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/close_review/runs/{qid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"qid": "<string>",
"status": "PREPARING",
"period_key": "<string>",
"workbook_period_qid": "<string>",
"session_id": "<string>",
"operator_instruction": "<string>",
"manifest": {
"document_count": 0,
"excluded_document_count": 0,
"uploaded_document_count": 0,
"excluded_uploads": [],
"uploaded_documents": [],
"assembler": {
"version": 123,
"run_id": "<string>"
},
"leaf_versions": []
},
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"stale": false,
"result": {},
"disposition": "<string>",
"decision_package": {
"schema_version": "2.0",
"generation_id": "<string>",
"summary": "<string>",
"outputs": [
{
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"type": "<string>",
"description": "<string>",
"amounts": [],
"ref_label": "<string>",
"dataset": "<string>",
"sql": "<string>",
"value": "<string>",
"as_of": "<string>",
"qid": "<string>",
"path": "<string>"
}
],
"blocking": true,
"result": {
"type": "check",
"outcome": "pass",
"records": [
{
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
}
]
},
"leaf_key": "<string>",
"component_key": "<string>",
"workpaper_path": "<string>",
"alternatives": [
{
"id": "<string>",
"label": "<string>",
"result": {
"type": "booking",
"transaction": {
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
},
"before": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"after": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"recommendation": "<string>",
"expected_outcome": "<string>"
}
}
]
}
]
},
"decision_package_error": "<string>",
"decision_package_archived": false,
"resolutions": [],
"leaf_key": "<string>",
"name": "<string>",
"selected_leaf_keys": [
"<string>"
],
"enabled_leaf_keys": [
"<string>"
],
"ran_all_enabled_checks": true,
"input_contexts": [
{
"decision_key": "<string>",
"label": "<string>",
"context": "",
"related_records": [
{
"qid": "<string>",
"kind": "<string>",
"label": "<string>"
}
]
}
],
"leaf_results": {},
"open_decision_counts": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}close_review_admin
Get Close Review Run
GET
/
admin_api
/
close_review
/
runs
/
{qid}
Get Close Review Run
curl --request GET \
--url https://app.usequanta.com/admin_api/close_review/runs/{qid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequanta.com/admin_api/close_review/runs/{qid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequanta.com/admin_api/close_review/runs/{qid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/close_review/runs/{qid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/close_review/runs/{qid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.usequanta.com/admin_api/close_review/runs/{qid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/close_review/runs/{qid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"qid": "<string>",
"status": "PREPARING",
"period_key": "<string>",
"workbook_period_qid": "<string>",
"session_id": "<string>",
"operator_instruction": "<string>",
"manifest": {
"document_count": 0,
"excluded_document_count": 0,
"uploaded_document_count": 0,
"excluded_uploads": [],
"uploaded_documents": [],
"assembler": {
"version": 123,
"run_id": "<string>"
},
"leaf_versions": []
},
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"stale": false,
"result": {},
"disposition": "<string>",
"decision_package": {
"schema_version": "2.0",
"generation_id": "<string>",
"summary": "<string>",
"outputs": [
{
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"type": "<string>",
"description": "<string>",
"amounts": [],
"ref_label": "<string>",
"dataset": "<string>",
"sql": "<string>",
"value": "<string>",
"as_of": "<string>",
"qid": "<string>",
"path": "<string>"
}
],
"blocking": true,
"result": {
"type": "check",
"outcome": "pass",
"records": [
{
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
}
]
},
"leaf_key": "<string>",
"component_key": "<string>",
"workpaper_path": "<string>",
"alternatives": [
{
"id": "<string>",
"label": "<string>",
"result": {
"type": "booking",
"transaction": {
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
},
"before": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"after": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"recommendation": "<string>",
"expected_outcome": "<string>"
}
}
]
}
]
},
"decision_package_error": "<string>",
"decision_package_archived": false,
"resolutions": [],
"leaf_key": "<string>",
"name": "<string>",
"selected_leaf_keys": [
"<string>"
],
"enabled_leaf_keys": [
"<string>"
],
"ran_all_enabled_checks": true,
"input_contexts": [
{
"decision_key": "<string>",
"label": "<string>",
"context": "",
"related_records": [
{
"qid": "<string>",
"kind": "<string>",
"label": "<string>"
}
]
}
],
"leaf_results": {},
"open_decision_counts": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Quanta Services API scoped bearer token. Supported only on Services API routes.
Path Parameters
Response
Successful Response
Available options:
PREPARING, RUNNING, NEEDS_ATTENTION, COMPLETED, FAILED, INTERRUPTED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes